Index: trunk/expressoAdmin1_2/inc/class.group.inc.php
===================================================================
--- trunk/expressoAdmin1_2/inc/class.group.inc.php	(revision 396)
+++ trunk/expressoAdmin1_2/inc/class.group.inc.php	(revision 414)
@@ -44,5 +44,5 @@
 			{
 				$return['status'] = false;
-				$return['msg'] = 'Você não tem acesso para criar novos grupos.';
+				$return['msg'] = lang('You do not have access to create new groups') . '.';
 				return $return;
 			}
@@ -60,5 +60,5 @@
 			{
 				$return['status'] = false;
-				$return['msg'] = "Problemas obtendo ID do usuário.\n" . $id['msg'];
+				$return['msg'] = lang('Problems getting  group ID') . ':' . $next_id['msg'];
 				return $return;
 			}
@@ -96,5 +96,5 @@
 					$result = $this->db_functions->add_user2group($id, $uidnumber);
 					
-					$this->db_functions->write_log("Adicionado usuario $uid ao grupo ".$group_info['cn']." no momento da criação",$dn,$uidnumber,'','');
+					$this->db_functions->write_log("Added user to group on user criation", $group_info['cn'] . ": " . $dn);
 				}
 			}
@@ -119,8 +119,10 @@
 				$return['status'] = false;
 				if ($result['error_number'] == '65')
-					$return['msg'] .= "Não foi possível criar este grupo pois os schemas do servidor LDAP estão desatualizados.\n" .
-										"O Administrador deve atualizar o diretório /etc/ldap/schema/ e re-inicializar o ldap.\n".
-										"Uma versão atualizada deste arquivo pode ser encontrada no site:\n" .
+				{
+					$return['msg'] .= lang("It was not possible create the group because the LDAP schemas are not update") . "\n" .
+									  lang("The administrator must update the directory /etc/ldap/schema/ and re-start LDAP") . "\n" .
+									  lang("A update version of this files can be found here") . ":\n" .
 										"www.expressolivre.org -> Downloads -> schema.tgz";
+				}
 				else
 					$return['msg'] .= $result['msg'];
@@ -137,5 +139,5 @@
 			if ($return['status'] == true)
 			{
-				$this->db_functions->write_log("Criado grupo de usuários $dn",'',$dn,'','');
+				$this->db_functions->write_log("Created group",$dn);
 			}
 			
@@ -149,5 +151,5 @@
 			{
 				$return['status'] = false;
-				$return['msg'] = 'Você não tem acesso para editar grupos.';
+				$return['msg'] = lang('You do not have access to edit groups') . '.';
 				return $return;
 			}
@@ -181,5 +183,5 @@
 					{
 						$dn = $newrdn . ',' . $newparent;
-						$this->db_functions->write_log('Renomeado grupo de usuários de '.$old_values['cn']." para $dn.",'',$dn,$old_values['cn'],'');
+						$this->db_functions->write_log('Renamed group', $old_values['cn'] . '->' . $dn);
 					}
 				}
@@ -192,5 +194,6 @@
 			{
 				$ldap_mod_replace['sambasid'] = $new_values['sambasid'] . '-' . ((2 * $new_values['gidnumber'])+1001);
-				$this->db_functions->write_log("Alterado dominio samba do grupo $dn para " . $new_values['sambasid'],'',$dn,'','');
+				$this->db_functions->write_log('modified group samba domain', $dn . ': ' . $old_values['sambasid'] . '->' . $new_values['sambasid']);
+				
 			}
 			
@@ -200,5 +203,5 @@
 			{
 				$ldap_mod_replace['description'] = $new_values['description'];
-				$this->db_functions->write_log("Modificado descrição do grupo $dn",'',$dn,'','');
+				$this->db_functions->write_log('modified group description',$dn . ': ' . $old_values['description'] . '->' . $new_values['description'] );
 			}
 
@@ -209,5 +212,5 @@
 			{
 				$ldap_mod_replace['mail'] = $new_values['email'];
-				$this->db_functions->write_log("Modificado E-Mail do grupo $dn",'',$dn,'','');
+				$this->db_functions->write_log('modified group email', $dn . ': ' . $old_values['email'] . '->' . $new_values['email']);
 			}
 
@@ -221,8 +224,10 @@
 					$return['status'] = false;
 					if ($result['error_number'] == '65')
-						$return['msg'] .= "Não foi possível salvar alguns atributos deste grupo pois os schemas do servidor LDAP estão desatualizados.\n" .
-											"O Administrador deve atualizar o diretório /etc/ldap/schema/ e re-inicializar o ldap.\n".
-											"Uma versão atualizada deste arquivo pode ser encontrada no site:\n" .
+					{
+						$return['msg'] .= lang("It was not possible create the group because the LDAP schemas are not update") . "\n" .
+										  lang("The administrator must update the directory /etc/ldap/schema/ and re-start LDAP") . "\n" .
+										  lang("A update version of this files can be found here") . ":\n" .
 											"www.expressolivre.org -> Downloads -> schema.tgz";
+					}
 					else
 						$return['msg'] .= $result['msg'];
@@ -245,5 +250,5 @@
 				}
 				else
-					$this->db_functions->write_log("Removido atributos samba do grupo $dn",'',$dn,'','');
+					$this->db_functions->write_log('removed group samba attributes',$dn);
 			}
 
@@ -252,9 +257,10 @@
 			if (($this->current_config['expressoAdmin_samba_support'] == 'true') && (!$old_values['sambaGroup']) && ($new_values['use_attrs_samba'] == 'on'))
 			{
-				//Verifica se o binario para criar as senhas do samba exite.
 				if (!is_file('/home/expressolivre/mkntpwd'))
 				{
 					$return['status'] = false;
-					$return['msg'] .= "O arquivo binário /home/expressolivre/mkntpwd não exite.\\nEle é necessário para a criação das senhas usadas pelo SAMBA.\\nInforme o administrador ExpressoLivre sobre isto.\\n";
+					$return['msg'] .= lang("The file /home/expressolivre/mkntpwd does not exist") . ".\n";
+					$return['msg'] .= lang("It is necessery to create samba passwords") . ".\n";
+					$return['msg'] .= lang("Inform your system administrator about this") . ".\n";
 				}
 				else
@@ -271,5 +277,5 @@
 					}
 					else
-						$this->db_functions->write_log("Adicionado atributos samba ao grupo $dn",'','','','');
+						$this->db_functions->write_log('Added samba attibutes to group',$dn);
 				}
 			}
@@ -281,5 +287,5 @@
 			{
 				$ldap_add['phpgwaccountvisible'] = '-1';
-				$this->db_functions->write_log("Adicionado atributo phpgwaccountvisible ao grupo $dn",'','','','');
+				$this->db_functions->write_log("added attribute phpgwAccountVisible to group",$dn);
 			}
 			if ((($new_values['email']) && (!$old_values['email'])) &&
@@ -287,5 +293,5 @@
 			{
 				$ldap_add['mail'] = $new_values['email'];
-				$this->db_functions->write_log("Adicionado atributo mail ao grupo $dn",'','','','');
+				$this->db_functions->write_log("added attribute mail to group",$dn);
 			}
 			////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
@@ -294,13 +300,14 @@
 			{
 				$result = $this->ldap_functions->add_user_attributes($dn, $ldap_add);
-				
 				if (!$result['status'])
 				{
 					$return['status'] = false;
 					if ($result['error_number'] == '65')
-						$return['msg'] .= "Não foi possível adicionar alguns atributos deste gruupo pois os schemas do servidor LDAP estão desatualizados.\n" .
-											"O Administrador deve atualizar o diretório /etc/ldap/schema/ e re-inicializar o ldap.\n".
-											"Uma versão atualizada deste arquivo pode ser encontrada no site:\n" .
-											"www.expressolivre.org -> Downloads -> schema.tgz";
+					{
+						$return['msg'] .= lang("It was not possible create the group because the LDAP schemas are not update") . "\n" .
+										  lang("The administrator must update the directory /etc/ldap/schema/ and re-start LDAP") . "\n" .
+										  lang("A update version of this files can be found here") . ":\n" .
+											   "www.expressolivre.org -> Downloads -> schema.tgz";
+					}									
 					else
 						$return['msg'] .= $result['msg'];
@@ -314,5 +321,5 @@
 			{
 				$ldap_remove['phpgwaccountvisible'] = array();
-				$this->db_functions->write_log("Removido atributo phpgwaccountvisible do grupo $dn",'','','','');
+				$this->db_functions->write_log("removed attribute phpgwAccountVisible from group",$dn);
 			}
 			if (((!$new_values['email']) && ($old_values['email'])) &&
@@ -320,5 +327,5 @@
 			{
 				$ldap_remove['mail'] = array();
-				$this->db_functions->write_log("Removido atributo mail do grupo $dn",'','','','');
+				$this->db_functions->write_log("removed attribute mail from group",$dn);
 			}
 			////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
@@ -355,17 +362,10 @@
 						$user = $this->ldap_functions->uidnumber2uid($uidnumber);
 						$array_memberUids_add[] = $user;
-						$this->db_functions->write_log("Adicionado usuário $user ao grupo $dn.",$dn,'','','');
-					}
-					/*
-					else
-					{
-						// O memberUID existe no grupo, mas o usuário não existe no ldap
-						$this->ldap_functions->remove_user2group($new_values['gidnumber'], $uidnumber);
-					}*/
+						$this->db_functions->write_log("included user to group","$dn: $user");
+					}
 				}
 				if (count($array_memberUids_add) > 0)
 					$this->ldap_functions->add_user2group($new_values['gidnumber'], $array_memberUids_add);
 			}
-
 			if (count($remove_users)>0)
 			{
@@ -378,5 +378,5 @@
 						$user = $this->ldap_functions->uidnumber2uid($uidnumber);
 						$array_memberUids_remove[] = $user;
-						$this->db_functions->write_log("Removido usuário $user do grupo $dn.",$dn,'','','');
+						$this->db_functions->write_log("removed user from group","$dn: $user");
 					}
 				}
@@ -412,5 +412,5 @@
 				
 				foreach ($add_apps as $app => $index)
-					$this->db_functions->write_log("Adicionado aplicativo $app ao grupo $dn",'',$dn,'','');
+					$this->db_functions->write_log("added application to group","$app: $dn");
 			}
 			
@@ -428,5 +428,5 @@
 					
 				foreach ($remove_apps2 as $app => $access)
-					$this->db_functions->write_log("Removido aplicativo $app do grupo $dn",'',$dn,'','');
+					$this->db_functions->write_log("removed application from group","$app: $dn");
 			}
 			//////////////////////////////////////////////////////////////////////////////////////////////////////////////////			
@@ -451,5 +451,5 @@
 			{
 				$return['status'] = false;
-				$return['msg'] = 'Você não tem acesso para excluir grupos.';
+				$return['msg'] = lang('You do not have acces to remove groups') . '.';
 				return $return;
 			}
@@ -478,5 +478,5 @@
 			if ($return['status'] == true)
 			{
-				$this->db_functions->write_log("Deletado grupo de usuários $cn",'',$cn,'','');
+				$this->db_functions->write_log("deleted group","$cn");
 			}
 			
Index: trunk/expressoAdmin1_2/inc/class.uimaillists.inc.php
===================================================================
--- trunk/expressoAdmin1_2/inc/class.uimaillists.inc.php	(revision 309)
+++ trunk/expressoAdmin1_2/inc/class.uimaillists.inc.php	(revision 414)
@@ -85,19 +85,9 @@
 				'add_action'				=> $GLOBALS['phpgw']->link('/index.php','menuaction=expressoAdmin1_2.uimaillists.add_maillists'),
 				'add_email_lists_disabled'	=> $this->functions->check_acl($manager_lid,'add_maillists') ? '' : 'disabled',
-				'context_display'			=> $context_display,
-				'lang_email_lists_uid'		=> lang('Email Lists Logins'),
-				'lang_email_lists_names'	=> lang('Email Lists Names'),
-				'lang_add_email_lists'		=> lang('Add Email Lists'),
-				'lang_edit'  				=> lang('Edit'),
-				'lang_scl'  				=> 'SCL',
-				'lang_delete'				=> 'Excluir',
-				'lang_view'					=> lang('View'),
-				'lang_back'					=> lang('back'),
-				'lang_context'				=> lang('context'),
-				'lang_email'				=> lang('E-mail'),
-				'lang_search'				=> lang('search')
+				'context_display'			=> $context_display
 			);
 			$p->set_var($var);
-
+			$p->set_var($this->functions->make_dinamic_lang($p, 'list'));
+			
 			// Save query
 			$p->set_var('query', $GLOBALS['query']);
@@ -196,4 +186,5 @@
 			$p = CreateObject('phpgwapi.Template',PHPGW_APP_TPL);
 			$p->set_file(Array('create_maillist' => 'maillists_form.tpl'));
+			$p->set_block('create_maillist','body','body');
 
 			// Obtem combos das organizações.
@@ -211,17 +202,4 @@
 				'accountStatus_checked'		=> 'CHECKED',
 				'restrictionsOnEmailLists'	=> $this->current_config['expressoAdmin_restrictionsOnEmailLists'],
-				'lang_back'					=> lang('Back'),
-				'lang_save'					=> lang('save'),
-				'lang_maillist_organization'=> lang('Maillist Organization'),
-				'lang_search_organization'	=> lang('Search Organiztion'),
-				'lang_search_user'			=> lang('Search user'),
-				'lang_organizations'		=> lang('Organizations'),
-				'lang_maillist_uid'			=> lang('Maillist login'),
-				'lang_maillist_mail'		=> lang('Maillist Mail'),
-				'lang_maillist_name'		=> lang('Maillist name'),
-				'lang_maillist_users'		=> lang('Maillist users'),
-				'lang_add_user'				=> lang('Add User'),
-				'lang_rem_user'				=> lang('Remove User'),
-				'lang_all_users'			=> lang('Show users from all sub-organizations'),
 				'back_url'					=> $GLOBALS['phpgw']->link('/index.php','menuaction=expressoAdmin1_2.uimaillists.list_maillists'),
 				'combo_manager_org'			=> $combo_manager_org,
@@ -230,5 +208,5 @@
 			);
 			$p->set_var($var);
-			
+			$p->set_var($this->functions->make_dinamic_lang($p, 'body'));
 			$p->pfp('out','create_maillist');
 		}
@@ -259,4 +237,5 @@
 			$p = CreateObject('phpgwapi.Template',PHPGW_APP_TPL);
 			$p->set_file(Array('edit_maillist' => 'maillists_form.tpl'));
+			$p->set_block('edit_maillist','body','body');
 
 			// Obtem combos das organizações.
@@ -313,17 +292,4 @@
 				'type'							=> 'edit_maillist',
 				'ldap_context'					=> $GLOBALS['phpgw_info']['server']['ldap_context'],
-				'lang_back'						=> lang('Back'),
-				'lang_save'						=> lang('save'),
-				'lang_maillist_organization'	=> lang('Maillist Organization'),
-				'lang_search_organization'		=> lang('Search Organiztion'),
-				'lang_search_user'				=> lang('Search user'),
-				'lang_organizations'			=> lang('Organizations'),
-				'lang_maillist_uid'				=> lang('Maillist login'),
-				'lang_maillist_mail'			=> lang('Maillist Mail'),
-				'lang_maillist_name'			=> lang('Maillist name'),
-				'lang_maillist_users'			=> lang('Maillist users'),
-				'lang_add_user'					=> lang('Add User'),
-				'lang_rem_user'					=> lang('Remove User'),
-				'lang_all_users'				=> lang('Select users from all sub-organizations'),
 				'back_url'						=> $GLOBALS['phpgw']->link('/index.php','menuaction=expressoAdmin1_2.uimaillists.list_maillists'),
 				'combo_manager_org'				=> $combo_manager_org,
@@ -340,4 +306,5 @@
 			);
 			$p->set_var($var);
+			$p->set_var($this->functions->make_dinamic_lang($p, 'body'));
 			
 			$p->pfp('out','edit_maillist');
@@ -368,5 +335,6 @@
 			// Set o template
 			$p = CreateObject('phpgwapi.Template',PHPGW_APP_TPL);
-			$p->set_file(Array('sql_maillist' => 'maillists_scl.tpl'));
+			$p->set_file(Array('scl_maillist' => 'maillists_scl.tpl'));
+			$p->set_block('scl_maillist','body','body');
 
 			// Pega combo das organizações e seleciona a org da lista.
@@ -396,14 +364,4 @@
 				'ldap_context'					=> $GLOBALS['phpgw_info']['server']['ldap_context'],
 				'dn'							=> $maillist_info['dn'],
-				'lang_back'						=> lang('Back'),
-				'lang_save'						=> lang('save'),
-				'lang_org'						=> lang('Organizations'),
-				'lang_maillist_uid'				=> lang('Maillist login'),
-				'lang_maillist_mail'			=> lang('Maillist Mail'),
-				'lang_maillist_name'			=> lang('Maillist name'),
-				'lang_maillist_users'			=> lang('Maillist users'),
-				'lang_add_user'					=> lang('Add User'),
-				'lang_rem_user'					=> lang('Remove User'),
-				'lang_all_users'				=> lang('Show users from all sub-organizations'),
 				'back_url'						=> $GLOBALS['phpgw']->link('/index.php','menuaction=expressoAdmin1_2.uimaillists.list_maillists'),
 				'combo_org'						=> $sectors,
@@ -417,6 +375,7 @@
 			);
 			$p->set_var($var);
-			
-			$p->pfp('out','sql_maillist');
+			$p->set_var($this->functions->make_dinamic_lang($p, 'body'));
+			
+			$p->pfp('out','scl_maillist');
 		}
 		
Index: trunk/expressoAdmin1_2/inc/class.uilogs.inc.php
===================================================================
--- trunk/expressoAdmin1_2/inc/class.uilogs.inc.php	(revision 355)
+++ trunk/expressoAdmin1_2/inc/class.uilogs.inc.php	(revision 414)
@@ -53,5 +53,5 @@
 			if (($_POST['query_manager_lid'] != '') || ($_POST['query_action'] != '') || ($_POST['query_date'] != '') || ($_POST['query_hour'] != '') || ($_POST['query_other'] != ''))
 			{
-				$query = "SELECT manager,date,groupinfo,userinfo,appinfo,msg,action FROM phpgw_expressoadmin_log WHERE"; 
+				$query = "SELECT manager,date,userinfo,action FROM phpgw_expressoadmin_log WHERE"; 
 				
 				if ($_POST['query_manager_lid'] != '')
@@ -86,7 +86,4 @@
 					$query .= " userinfo LIKE '%" . $_POST['query_other'] . "%'";
 					$query .= "OR action LIKE '%" . $_POST['query_other'] . "%'";
-					$query .= "OR groupinfo LIKE '%" . $_POST['query_other'] . "%'";
-					$query .= "OR appinfo LIKE '%" . $_POST['query_other'] . "%'";
-					$query .= "OR msg LIKE '%" . $_POST['query_other'] . "%'";
 					$query .= "OR manager LIKE '%" . $_POST['query_other'] . "%'";
 				}
@@ -112,18 +109,8 @@
 				'query_hour'		=> $_POST['query_hour'],
 				'query_other'		=> $_POST['query_other'],
-				
-				'lang_manager_lid'	=> lang('Manager Login'),
-				'lang_date'			=> lang('Date'),
-				'lang_hour'			=> lang('Hour'),
-				'lang_action'		=> lang('Action'),
-				'lang_view'			=> lang('view'),
-				'lang_back'			=> lang('back'),
-				'lang_search'		=> lang('search'),
-				'lang_action'		=> lang('Action'),
-				'lang_other'		=> lang('Other')
 			);
 			$p->set_var($var);
-			
-			
+			$p->set_var($this->functions->make_dinamic_lang($p, 'list'));
+
 			if ((!count($logs)) && (($_POST['query_manager_lid'] != '') || ($_POST['query_date'] != '') || ($_POST['query_hour'] != '')))
 			{
@@ -145,8 +132,8 @@
 					
 					$var = array(
+						'row_date' 			=> $a_day . '  ' . $a_hour[0],						
 						'row_manager_lid'	=> $log['manager'],
-						'row_action'		=> $log['action'],
-						'row_date' 			=> $a_day . '  ' . $a_hour[0],
-						//'row_view'  => (!$account['account_lastname']?'&nbsp':$account['account_lastname'])
+						'row_action'		=> lang($log['action']),
+						'row_about'			=> $log['userinfo']
 					);
 					$p->set_var($var);
@@ -158,71 +145,5 @@
 			$p->pfp('out','list');
 		}
-		
-		function view_log()
-		{
-			$account_lid = $GLOBALS['phpgw']->accounts->data['account_lid'];
-			$tmp = $this->functions->read_acl($account_lid);
-			$manager_context = $tmp[0]['context'];
-			
-			// Verifica se o administrador tem acesso.
-			if (!$this->functions->check_acl($account_lid,'view_logs'))
-			{
-				$GLOBALS['phpgw']->redirect($GLOBALS['phpgw']->link('/expressoAdmin1_2/inc/access_denied.php'));
-			}
-						
-			unset($GLOBALS['phpgw_info']['flags']['noheader']);
-			unset($GLOBALS['phpgw_info']['flags']['nonavbar']);
-			$GLOBALS['phpgw_info']['flags']['app_header'] = $GLOBALS['phpgw_info']['apps']['expressoAdmin1_2']['title'].' - '.lang('View Log');
-			$GLOBALS['phpgw']->common->phpgw_header();
-
-			$p = CreateObject('phpgwapi.Template',PHPGW_APP_TPL);			
-			$p->set_file(Array('log' => 'log_form.tpl'));
-
-			$query = "SELECT manager,date,groupinfo,userinfo,appinfo,msg,action FROM phpgw_expressoadmin_log"; 
-			$query .= " WHERE date = '".$_GET['date']."'";
 				
-			$GLOBALS['phpgw']->db->query($query);
-			while($GLOBALS['phpgw']->db->next_record())
-			{
-				$log[] = $GLOBALS['phpgw']->db->row();
-			}
-
-			$tmp = explode(" ", $log[0]['date']);
-			$tmp_date = explode("-", $tmp[0]);
-			$date = $tmp_date[2] . '/' . $tmp_date[1] . '/' . $tmp_date[0];
-			
-			$tmp_hour = explode(".", $tmp[1]);
-			$hour = $tmp_hour[0];
-			
-			$var = Array(
-				
-				'manager_lid'		=> $log[0]['manager'],
-				'date'				=> $date,
-				'hour'				=> $hour,
-				'action'			=> $log[0]['action'],
-				'userinfo'			=> $log[0]['userinfo'],
-				'groupinfo'			=> $log[0]['groupinfo'],
-				'appinfo'			=> $log[0]['appinfo'],
-				'back_url'			=> './index.php?menuaction=expressoAdmin1_2.uilogs.list_logs',
-				
-				'color_bg1'			=> "#E8F0F0",
-				'color_bg2'			=> "#D3DCE3",
-				'color_font1'		=> "#DDDDDD",
-				'color_font2'		=> "#EEEEEE",
-				
-				'lang_back'			=> lang('Back'),
-				'lang_manager_lid'	=> lang('Manager Login'),
-				'lang_date'			=> lang('Date'),
-				'lang_hour'			=> lang('Hour'),
-				'lang_action'		=> lang('Action'),
-				'lang_userinfo'		=> lang('User Info'),
-				'lang_groupinfo'	=> lang('Group Info'),
-				'lang_appinfo'		=> lang('App Info')				
-			);
-			
-			$p->set_var($var);
-			$p->pfp('out','log');
-		}
-		
 		function row_action($action,$type,$date)
 		{
Index: trunk/expressoAdmin1_2/inc/class.bosectors.inc.php
===================================================================
--- trunk/expressoAdmin1_2/inc/class.bosectors.inc.php	(revision 396)
+++ trunk/expressoAdmin1_2/inc/class.bosectors.inc.php	(revision 414)
@@ -63,5 +63,5 @@
 			
 			//Escreve no log
-			$this->functions->write_log2("Setor criado: $dn", '','','',$dn);
+			$this->db_functions->write_log("created sector", "$dn");
 			
 			// Volta para o ListSectors
Index: trunk/expressoAdmin1_2/inc/class.institutional_accounts.inc.php
===================================================================
--- trunk/expressoAdmin1_2/inc/class.institutional_accounts.inc.php	(revision 317)
+++ trunk/expressoAdmin1_2/inc/class.institutional_accounts.inc.php	(revision 414)
@@ -34,44 +34,8 @@
 				$GLOBALS['phpgw']->js->validate_file('jscode','institutional_accounts','expressoAdmin1_2');
 				$GLOBALS['phpgw']->js->validate_file('modal','modal','expressoAdmin1_2');
-				
-				/*
-				Move this to expressoAdmin.index.
-				$_SESSION['phpgw_info']['expressoAdmin']['user']['preferences']['common']['lang'] = $GLOBALS['phpgw_info']['user']['preferences']['common']['lang'];
-				
-				$fn = './expressoAdmin1_2/setup/phpgw_'.$_SESSION['phpgw_info']['expressoAdmin']['user']['preferences']['common']['lang'].'.lang';
-				if (file_exists($fn)){
-					$fp = fopen($fn,'r');
-					while ($data = fgets($fp,16000)){
-						list($message_id,$app_name,$null,$content) = explode("\t",substr($data,0,-1));
-						$_SESSION['phpgw_info']['expressoAdmin']['lang'][$message_id] =  $content;
-					}
-					fclose($fp);
-				}*/
+				$GLOBALS['phpgw']->js->validate_file('jscode','expressoadmin','expressoAdmin1_2');
 			}
 		}
 
-		function make_lang($ram_lang)
-		{
-			$a_lang = split("_", $ram_lang);
-			$a_lang_reverse  = array_reverse ( $a_lang, true );
-			array_pop ( $a_lang_reverse );
-			$a_lang  = array_reverse ( $a_lang_reverse, true );
-			$a_new_lang = implode ( " ", $a_lang );
-			return lang($a_new_lang);
-		}
-
-		function make_dinamic_lang($template_obj, $block)
-		{
-			$tpl_vars = $template_obj->get_undefined($block);
-			foreach ($tpl_vars as $atribute)
-			{
-				$lang = strstr($atribute, 'lang_');
-				if($lang !== false)
-				{
-					$template_obj->set_var($atribute, $this->make_lang($atribute));
-				}
-			}
-		}
-		
 		function index()
 		{
@@ -105,6 +69,6 @@
 			
 			/* dinamic load lang */
-			$this->make_dinamic_lang($p, 'body');
-			$this->make_dinamic_lang($p, 'institutional_accounts_modal');
+			$p->set_var($this->functions->make_dinamic_lang($p, 'body'));
+			$p->set_var($this->functions->make_dinamic_lang($p, 'institutional_accounts_modal'));
 
 
